%define module_name Curses-UI-AnyEvent
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Curses/UI.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.101
Release: alt2
Summary: Sub-class of Curses::UI for AnyEvent
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FR/FRACTAL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Very simple integration with the Curses::UI manpage and the AnyEvent manpage. Just create a `Curses::UI::AnyEvent' object instead of a `Curses::UI' one and use it as normal.

You'll probably want to install some AnyEvent watchers before you call `mainloop()'.

Seems to work well but there is probably some stuff missing. I haven't tested mouse integration yet for example. the Curses::UI::POE manpage seems to do a lot more stuff for some reason...

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.101-alt2
- updated summary

* Thu May 26 2016 Igor Vlasenko <viy@altlinux.ru> 0.101-alt1
- regenerated from template by package builder

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.100-alt1
- initial import by package builder

